---
updatedAt: 2026-08-26T08:48:54.000Z
agentTools:
  projectIndex: https://docs.youlend.com/llms.txt
---

# Generate a prequalified offer

This endpoint returns indicative offers for a merchant in real time. This endpoint can therefore be used either:

1. As a scheduled bulk job to generate indicative financing offers for all of a partner's merchants, which is then used in marketing
2. Requested on demand either by a merchant or by a broker/ adviser "click here to request a prequalified offer"

### Request body example

```json
{
        "companyType": "Ltd",
        "countryISOCode": "GBR",
        "loanCurrencyISOCode": "GBP",
        "thirdPartyMerchantId": "abc123",
        "financialData": {
            "paymentData": [
                {
                    "paymentDate": "2024-03-01T10:55:09.307Z",
                    "amount": 100000,
                    "currencyISOCode": "GBP"
                },
                {
                    "paymentDate": "2024-04-01T10:55:09.307Z",
                    "amount": 12000,
                    "currencyISOCode": "GBP"
                },
                {
                    "paymentDate": "2024-05-01T10:55:09.307Z",
                    "amount": 100000,
                    "currencyISOCode": "GBP"
                },
                {
                    "paymentDate": "2024-06-01T10:55:09.307Z",
                    "amount": 12000,
                    "currencyISOCode": "GBP"
                },
                {
                    "paymentDate": "2024-07-01T10:55:09.307Z",
                    "amount": 100000,
                    "currencyISOCode": "GBP"
                },
                {
                    "paymentDate": "2024-08-01T10:55:09.307Z",
                    "amount": 100000,
                    "currencyISOCode": "GBP"
                },
                {
                    "paymentDate": "2024-09-01T10:55:09.307Z",
                    "amount": 12000,
                    "currencyISOCode": "GBP"
                },
                {
                    "paymentDate": "2024-10-01T10:55:09.307Z",
                    "amount": 100000,
                    "currencyISOCode": "GBP"
                },
                {
                    "paymentDate": "2024-11-01T10:55:09.307Z",
                    "amount": 12000,
                    "currencyISOCode": "GBP"
                },
                {
                    "paymentDate": "2024-12-01T10:55:09.307Z",
                    "amount": 100000,
                    "currencyISOCode": "GBP"
                },
                {
                    "paymentDate": "2025-01-01T10:55:09.307Z",
                    "amount": 100000,
                    "currencyISOCode": "GBP"
                },
                {
                    "paymentDate": "2025-02-01T10:55:09.307Z",
                    "amount": 100000,
                    "currencyISOCode": "GBP"
                },
                {
                    "paymentDate": "2025-03-01T10:55:09.307Z",
                    "amount": 100000,
                    "currencyISOCode": "GBP"
                }                
            ]
        }
    }
```

### Parameter callouts

| Parameter     | Description                                                                                                                                                                                                                                                                                                                                       |
| :------------ | :------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------ |
| `companyType` | Should match one of the company types seen [here](https://docs.youlend.com/reference/post_preapproval-offers#body-params-formatting) . You can learn about which company types are associated with what country in our localisation guides, see the [United Kingdom guide](https://docs.youlend.com/reference/united-kingdom-guide) as an example |
| `paymentDate` | UTC format                                                                                                                                                                                                                                                                                                                                        |
| `amount`      | This is always returned in dollars/ pounds/ euros. For example,  £100 should be sent as 100. This represents the turnover for the payment data.                                                                                                                                                                                                   |

### Response body example

```json
{
    "thirdPartyMerchantId": "abc123",
    "mid": null,
    "companyName": null,
    "overallCreditRiskScore": 3.8157894736842105263157894737,
    "overrideCreditRiskScore": 0.0,
    "loanOptions": [
        {
            "currencyISOCode": "GBP",
            "fee": 5808.0,
            "fundedAmount": 17600.0,
            "loanAmount": 23408.0,
            "sweep": 20.0
        },
        {
            "currencyISOCode": "GBP",
            "fee": 6440.0,
            "fundedAmount": 18400.0,
            "loanAmount": 24840.0,
            "sweep": 20.0
        },
        {
            "currencyISOCode": "GBP",
            "fee": 7030.0,
            "fundedAmount": 19000.0,
            "loanAmount": 26030.0,
            "sweep": 20.0
        }
    ]
}
```

<br />

### Parameter callouts

<Table align={["left","left"]}>
  <thead>
    <tr>
      <th>
        Parameter
      </th>

      <th>
        Description
      </th>
    </tr>
  </thead>

  <tbody>
    <tr>
      <td>
        `fundedAmount`
      </td>

      <td>
        This value is rounded based on the following logic:

        * 0–10,000 → step 10
        * 10,000–100,000 → step 100
        * 100,000 or higher → step 1000
      </td>
    </tr>

    <tr>
      <td>
        `overrideCreditRiskScore`
      </td>

      <td>
        This value can be ignored, it is deprecated.
      </td>
    </tr>
  </tbody>
</Table>

<br />

<br />

# OpenAPI definition

```json
{
  "openapi": "3.0.1",
  "info": {
    "title": "Prequalification",
    "description": "Through this API you can can check if a merchant pre qualifies for a Youlend loan",
    "contact": {
      "name": "Mark Ufland",
      "email": "mark.ufland@youlend.com"
    },
    "version": "1.0"
  },
  "servers": [
    {
      "url": "https://partners.staging-youlendapi.com/prequalification"
    }
  ],
  "paths": {
    "/Requests": {
      "post": {
        "tags": [
          "Requests"
        ],
        "summary": "Generate a prequalified offer",
        "parameters": [
          {
            "name": "api-version",
            "in": "header",
            "schema": {
              "type": "string"
            }
          }
        ],
        "requestBody": {
          "description": "A YL.Web.Api.ThirdParty.PreQualification.Models.PreQualificationModel",
          "content": {
            "application/json": {
              "schema": {
                "$ref": "#/components/schemas/PreQualificationModel"
              }
            }
          }
        },
        "responses": {
          "200": {
            "description": "Returns PreQualificationResultDocument.",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/PreQualificationResultDocument"
                }
              },
              "application/xml": {
                "schema": {
                  "$ref": "#/components/schemas/PreQualificationResultDocument"
                }
              }
            }
          },
          "400": {
            "description": "Bad Request",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/ProblemDetails"
                }
              },
              "application/xml": {
                "schema": {
                  "$ref": "#/components/schemas/ProblemDetails"
                }
              }
            }
          }
        }
      }
    }
  },
  "components": {
    "schemas": {
      "AddressModel": {
        "required": [
          "areaCode",
          "city",
          "line1"
        ],
        "type": "object",
        "properties": {
          "line1": {
            "maxLength": 255,
            "minLength": 1,
            "type": "string"
          },
          "line2": {
            "type": "string",
            "nullable": true
          },
          "line3": {
            "type": "string",
            "nullable": true
          },
          "city": {
            "maxLength": 255,
            "minLength": 1,
            "type": "string"
          },
          "region": {
            "type": "string",
            "nullable": true
          },
          "areaCode": {
            "maxLength": 255,
            "minLength": 1,
            "type": "string"
          },
          "country": {
            "type": "string",
            "nullable": true
          }
        },
        "additionalProperties": false
      },
      "CompanyTypes": {
        "enum": [
          "Ltd",
          "Plc",
          "Llp",
          "SoleTrader",
          "Partnership",
          "DAC",
          "Eenmanszaak",
          "Bv",
          "Cv",
          "Nv",
          "Vof",
          "NaamlozeVennootschap",
          "SpZoo",
          "SpkSpj",
          "Scspp",
          "SaSKA",
          "Jdg",
          "GmbhUg",
          "EK",
          "Gewerbebetrieb",
          "GbrOhg",
          "Gbr",
          "EGbr",
          "Ohg",
          "Kg",
          "Aktiengesellschaft",
          "SlSlne",
          "SociedadColectiva",
          "SociedadComanditaria",
          "EIAutonomo",
          "SociedadCivil",
          "SociedadCooperativa",
          "Llc",
          "BusinessCorporation",
          "SNC",
          "EINomPropre",
          "SARL",
          "SocieteCooperative",
          "SA",
          "SAS",
          "EURL",
          "SCP",
          "SCS",
          "SASU",
          "AS",
          "ApS",
          "KS",
          "PS",
          "Fmba",
          "Andelsselskab",
          "Amba",
          "ErhvervsdrivendeFond",
          "IS",
          "Smba",
          "SI",
          "SelvstændigOffentligVirksomhed",
          "Partrederi",
          "Filial",
          "Enkeltmandsvirksomhed",
          "PMV",
          "Forening"
        ],
        "type": "string"
      },
      "Countries": {
        "enum": [
          "GBR",
          "IRE",
          "NLD",
          "POL",
          "BEL",
          "ESP",
          "DEU",
          "FRA",
          "DNK",
          "USA"
        ],
        "type": "string"
      },
      "Currencies": {
        "enum": [
          "GBP",
          "EUR",
          "PLN",
          "USD"
        ],
        "type": "string"
      },
      "FinancialDataModel": {
        "required": [
          "paymentData"
        ],
        "type": "object",
        "properties": {
          "paymentData": {
            "minItems": 1,
            "type": "array",
            "items": {
              "$ref": "#/components/schemas/PaymentDataRowModel"
            },
            "description": "Gets or sets the payment data"
          },
          "monthlyCardRevenue": {
            "type": "number",
            "description": "Gets or sets the monthly card revenue",
            "format": "double"
          },
          "monthlyValueOfPurchaseTransactions": {
            "type": "number",
            "description": "Gets or sets the monthly vaule of purchase transactions",
            "format": "double"
          },
          "purchaseData": {
            "type": "array",
            "items": {
              "$ref": "#/components/schemas/PurchaseDataRowModel"
            },
            "description": "Gets or sets the purchase data",
            "nullable": true
          },
          "monthlyRevenueFromInvoices": {
            "type": "number",
            "description": "Gets or sets the monthly revenue from invoices",
            "format": "double"
          },
          "invoiceData": {
            "type": "array",
            "items": {
              "$ref": "#/components/schemas/InvoiceDataRowModel"
            },
            "description": "Gets or sets the invoice data for the company",
            "nullable": true
          }
        },
        "additionalProperties": false,
        "description": "Financial model for receiving offers"
      },
      "InvoiceDataRowModel": {
        "required": [
          "amount",
          "currencyISOCode",
          "daysDurationOfInvoice",
          "invoiceDate"
        ],
        "type": "object",
        "properties": {
          "invoiceDate": {
            "minLength": 1,
            "type": "string",
            "description": "Gets or sets the date of the invoice",
            "format": "date-time"
          },
          "amount": {
            "minimum": 0,
            "type": "number",
            "description": "Gets or sets the amount",
            "format": "double"
          },
          "currencyISOCode": {
            "maxLength": 3,
            "minLength": 3,
            "type": "string",
            "description": "Gets or sets the currencdy"
          },
          "daysDurationOfInvoice": {
            "minimum": 0,
            "type": "integer",
            "description": "Gets or sets the duration of the invoice in days",
            "format": "int32"
          },
          "category": {
            "maxLength": 255,
            "type": "string",
            "description": "Gets or sets thecategory",
            "nullable": true
          }
        },
        "additionalProperties": false,
        "description": "Invoice Data model for the company"
      },
      "LoanOptionDocument": {
        "type": "object",
        "properties": {
          "currencyISOCode": {
            "type": "string",
            "nullable": true
          },
          "fee": {
            "type": "number",
            "format": "double"
          },
          "fundedAmount": {
            "type": "number",
            "format": "double"
          },
          "loanAmount": {
            "type": "number",
            "format": "double"
          },
          "sweep": {
            "type": "number",
            "format": "double"
          }
        },
        "additionalProperties": false
      },
      "PaymentDataRowModel": {
        "required": [
          "currencyISOCode",
          "paymentDate"
        ],
        "type": "object",
        "properties": {
          "paymentDate": {
            "minLength": 1,
            "type": "string",
            "description": "Gets or sets the date the payment occurred",
            "format": "date-time"
          },
          "amount": {
            "minimum": 0,
            "type": "number",
            "description": "Gets or sets the payment amount",
            "format": "double"
          },
          "currencyISOCode": {
            "minLength": 1,
            "type": "string",
            "description": "Gets or sets the currency of the payment"
          }
        },
        "additionalProperties": false,
        "description": "Payment Data model for the company"
      },
      "PreQualificationModel": {
        "required": [
          "companyType",
          "countryISOCode",
          "financialData",
          "loanCurrencyISOCode"
        ],
        "type": "object",
        "properties": {
          "companyType": {
            "$ref": "#/components/schemas/CompanyTypes"
          },
          "financialData": {
            "$ref": "#/components/schemas/FinancialDataModel"
          },
          "countryISOCode": {
            "$ref": "#/components/schemas/Countries"
          },
          "loanCurrencyISOCode": {
            "$ref": "#/components/schemas/Currencies"
          },
          "thirdPartyMerchantId": {
            "maxLength": 255,
            "type": "string",
            "description": "Gets or sets the third party's id for a merchant.",
            "nullable": true
          },
          "mid": {
            "type": "string",
            "description": "Gets or sets the merchant ID",
            "nullable": true
          },
          "companyName": {
            "maxLength": 200,
            "minLength": 2,
            "type": "string",
            "description": "Gets or sets the company name",
            "nullable": true
          },
          "companyNumber": {
            "maxLength": 10,
            "minLength": 6,
            "type": "string",
            "description": "Gets or sets the company number",
            "nullable": true
          },
          "companyWebsite": {
            "type": "string",
            "description": "Gets or sets the company website",
            "nullable": true
          },
          "contactEmailAddress": {
            "type": "string",
            "description": "Gets or sets a contact email address for the merchant",
            "nullable": true
          },
          "sicCode": {
            "maxLength": 255,
            "type": "string",
            "description": "Gets or sets the SIC code",
            "nullable": true
          },
          "mccCode": {
            "maxLength": 255,
            "type": "string",
            "description": "Gets or sets the MCC code",
            "nullable": true
          },
          "monthsTrading": {
            "minimum": 0,
            "type": "integer",
            "description": "Gets or sets the number of months the merchant has been trading for",
            "format": "int32"
          },
          "significantPersons": {
            "type": "array",
            "items": {
              "$ref": "#/components/schemas/SignificantPersonModel"
            },
            "description": "Gets or sets the significant persons of the company (directors)",
            "nullable": true
          }
        },
        "additionalProperties": false,
        "description": "Third party prequalification model for receiving offers"
      },
      "PreQualificationResultDocument": {
        "type": "object",
        "properties": {
          "thirdPartyMerchantId": {
            "type": "string",
            "nullable": true
          },
          "mid": {
            "type": "string",
            "nullable": true
          },
          "companyName": {
            "type": "string",
            "nullable": true
          },
          "overallCreditRiskScore": {
            "type": "number",
            "format": "double"
          },
          "overrideCreditRiskScore": {
            "type": "number",
            "format": "double"
          },
          "loanOptions": {
            "type": "array",
            "items": {
              "$ref": "#/components/schemas/LoanOptionDocument"
            },
            "nullable": true
          }
        },
        "additionalProperties": false
      },
      "ProblemDetails": {
        "type": "object",
        "properties": {
          "type": {
            "type": "string",
            "nullable": true
          },
          "title": {
            "type": "string",
            "nullable": true
          },
          "status": {
            "type": "integer",
            "format": "int32",
            "nullable": true
          },
          "detail": {
            "type": "string",
            "nullable": true
          },
          "instance": {
            "type": "string",
            "nullable": true
          }
        },
        "additionalProperties": {}
      },
      "PurchaseDataRowModel": {
        "required": [
          "amount",
          "currencyISOCode",
          "purchaseDate"
        ],
        "type": "object",
        "properties": {
          "purchaseDate": {
            "minLength": 1,
            "type": "string",
            "description": "Gets or sets the date of the purchase",
            "format": "date-time"
          },
          "amount": {
            "minimum": 0,
            "type": "number",
            "description": "Gets or sets the amount",
            "format": "double"
          },
          "currencyISOCode": {
            "minLength": 1,
            "type": "string",
            "description": "Gets or sets the currency"
          },
          "category": {
            "maxLength": 255,
            "type": "string",
            "description": "Gets or sets the category",
            "nullable": true
          }
        },
        "additionalProperties": false,
        "description": "Purchase Data model for the company"
      },
      "SignificantPersonModel": {
        "required": [
          "address",
          "dateOfBirth",
          "firstName",
          "surname"
        ],
        "type": "object",
        "properties": {
          "firstName": {
            "maxLength": 255,
            "minLength": 1,
            "type": "string",
            "description": "Gets or sets the first name of the significan person"
          },
          "surname": {
            "maxLength": 255,
            "minLength": 1,
            "type": "string",
            "description": "Gets or sets the surname of the significan person"
          },
          "address": {
            "$ref": "#/components/schemas/AddressModel"
          },
          "dateOfBirth": {
            "minLength": 1,
            "type": "string",
            "description": "Gets or sets the date of birth of the significan person",
            "format": "date-time"
          }
        },
        "additionalProperties": false,
        "description": "Significant persons model for the company"
      }
    },
    "securitySchemes": {
      "oauth2": {
        "type": "oauth2",
        "flows": {
          "clientCredentials": {
            "tokenUrl": "https://youlend-stag.eu.auth0.com/oauth/token",
            "scopes": {}
          }
        }
      }
    }
  },
  "security": [
    {
      "oauth2": []
    }
  ]
}
```